USBD_CLOSE_PIPE(9)

NAME
usbd_close_pipe, usbd_abort_pipe - delete or abort transfers on a USB pipe

SYNOPSIS
#include <dev/usb/usb.h>
#include <dev/usb/usbdi.h>
usbd_status
usbd_close_pipe(struct usbd_pipe *pipe);
void
usbd_abort_pipe(struct usbd_pipe *pipe);

DESCRIPTION
The usbd_abort_pipe() function aborts any transfers queued on pipe.

The usbd_close_pipe() function aborts any transfers queued on pipe then deletes it.

CONTEXT
usbd_abort_pipe() and usbd_close_pipe() can be called during autoconf or from process context.

SEE ALSO
usb(4), usbd_open_pipe(9)